import { ThemeDocset } from '@shopify/theme-check-common';
import { CompletionItem, CompletionParams } from 'vscode-languageserver';
import { DocumentManager } from '../documents';
import { GetTranslationsForURI } from '../translations';
import { GetSnippetNamesForURI } from './providers/RenderSnippetCompletionProvider';
export declare class CompletionsProvider {
    readonly documentManager: DocumentManager;
    readonly themeDocset: ThemeDocset;
    readonly getTranslationsForURI: GetTranslationsForURI;
    readonly getSnippetNamesForURI: GetSnippetNamesForURI;
    readonly log: (message: string) => void;
    private providers;
    constructor(documentManager: DocumentManager, themeDocset: ThemeDocset, getTranslationsForURI?: GetTranslationsForURI, getSnippetNamesForURI?: GetSnippetNamesForURI, log?: (message: string) => void);
    completions(params: CompletionParams): Promise<CompletionItem[]>;
}
