"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const documents_1 = require("../../documents");
const HoverProvider_1 = require("../HoverProvider");
(0, vitest_1.describe)('Module: HtmlAttributeHoverProvider', async () => {
    let provider;
    (0, vitest_1.beforeEach)(async () => {
        provider = new HoverProvider_1.HoverProvider(new documents_1.DocumentManager(), {
            filters: async () => [],
            objects: async () => [],
            tags: async () => [],
        });
    });
    (0, vitest_1.it)('should return the hover description of the attribute', async () => {
        await (0, vitest_1.expect)(provider).to.hover(`<img loading="lazy█">`, vitest_1.expect.stringMatching(/##* lazy/));
        await (0, vitest_1.expect)(provider).to.hover(`<img loading='lazy█'>`, vitest_1.expect.stringMatching(/##* lazy/));
        await (0, vitest_1.expect)(provider).to.hover(`<img loading=lazy█>`, vitest_1.expect.stringMatching(/##* lazy/));
    });
    (0, vitest_1.it)('should return nothing if the thing is unknown', async () => {
        await (0, vitest_1.expect)(provider).to.hover(`<img loading="unknown█">`, null);
        await (0, vitest_1.expect)(provider).to.hover(`<img loading='unknown█'>`, null);
        await (0, vitest_1.expect)(provider).to.hover(`<img loading=unknown█>`, null);
    });
});
//# sourceMappingURL=HtmlAttributeValueHoverProvider.spec.js.map